Core - Bug # 38124

Task # 38086 (Closed): Enhance TYPOS3 bootstrap mechanism

Status: Resolved Priority: Must have
Author: Helmut Hummel Category:

Created: 2012-06-16 Assigned To: Helmut Hummel
Updated: 2012-06-17 Due date:

TYPOS3 Version: 6.0

PHP Version:

Complexity:

Is Regression:

Sprint Focus:

Subject: Load extension configuration in function context

Description

Until now all the ext_localconf.php files provided by extensions were included in a global scope.

This is a major blocker for a clean and flexible bootstrapping.

Include the configuration files in a method of the bootstrap class and set all supported global variables as global.

Associated revisions

Revision 721fe2aa - 2012-06-17 00:05 - Helmut Hummel

["ITASK] Load extension configuration in function context

Until now all the ext_localconf.php files provided by extensions
were included in a global scope. This is a major blocker for
a clean and flexible bootstrapping.

Include the configuration files in a method of the bootstrap class

and set all supported global variables as global.

Resolves: #38124

Releases: 6.0

Change-Id: 14e7136d39f85258f75f6f76cb60eeede8bfc0453
Reviewed-on: http://review.typo3.org/12139

Reviewed-by: Christian Kuhn

Tested-by: Christian Kuhn

Reviewed-by: Oliver Hader

Tested-by: Oliver Hader

Revision e5e28a2a - 2012-06-23 23:42 - Helmut Hummel
["ITASK] Load extension configuration in function context
Until now all the ext_localconf.php files provided by extensions
were included in a global scope. This is a major blocker for

a clean and flexible bootstrapping.

Include the configuration files in a method of the bootstrap class
and set all supported global variables as global.

Resolves: #38124

Releases: 6.0

Change-Id: 14e7136d39f85258756f76cb60eeede8bfc0453
Reviewed-on: http://review.typo3.org/12139

Reviewed-by: Christian Kuhn
Tested-by: Christian Kuhn
Reviewed-by: Oliver Hader
Tested-by: Oliver Hader

History

#1 - 2012-06-16 22:38 - Gerrit Code Review
- Status changed from Accepted to Under Review

Patch set 1 for branch master has been pushed to the review server.

It is available at http://review.typo3.org/12139

#2 - 2012-06-17 00:30 - Helmut Hummel
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:721fe2aae079714c066283507dd81d7dec6d3fc9.
